// @-webkit-keyframes toHide { from {opacity: 1} to {opacity: 0} };
@keyframes toHide { from { opacity: 0; } to { opacity: 1;}};
// @-webkit-keyframes toShow { from {opacity: 0} to {opacity: 1} };
@keyframes toShow { from { opacity: 1; } to { opacity: 0;}};

@mixin animation-random-mixin($frameName, $delay,$speed,$count) {
  animation-name: $frameName;
  animation-delay: $delay;
  animation-duration: $speed;
  animation-iteration-count: $count;
  animation-direction: alternate;
  animation-timing-function: ease-in-out;
  // animation-fill-mode: backwards ;
  animation-fill-mode: forwards;
}
.advice {
    position: relative;
    display: block;
    width: 100%;
    height:4877px;
    background: no-repeat top center url(../static/images/background.jpg) #171312;
    &__section {
        position: relative;
        display: block;
        width: 100%;

        &--header {
            height: 700px;
        }
    }
    &__bg{
        position: absolute;
        z-index: 2;
        &--1{
            top: -14em;
            right: 0;
        }
        &--2{
            top: 0;
            left: 0;
        }
        &--3{
            top: -4em;
            right: 0;
        }
        &--4{
            bottom: 0;
            right: 0;
        }
    }
    
}
.header {
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
    &__inner {
        position: absolute;
        top: 540px;
        left: 150px;
        display: block;
        width: 430px;
    }
    &__tag {
        display: block;
        width: 200px;
        height: 45px;
    }
}
.condition {
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
    // background-color: rgba(0,100,0,0.5);
    &__inner {
        position: relative;
        margin:5em auto;
        padding:3em 0 1em;
        display: block;
        background: url("../static/images/bg_condition.png")top center no-repeat;
        width:  982px;
        height: 210px;
    }
    &__head {
        position: absolute;
        display: block;
        text-align: center;
        margin: -10px auto;
        left: 0;
        top: -1.4em;
        margin-left: auto;
        margin-right: auto;
        width: 100%;
    }
    &__text {
        font-size: 16px;
        color: #FFFFFF;
        padding: 30px 100px;
        li {
            list-style-type: decimal;
        }
        // &--yellow {
        //     color:#fdc35a;
        //     margin: 0;
        //     font-size: .9em;
        //     padding: 0 3em;
        // }
        &--2{
            padding: 40px 180px;
        }
    }
    &__yellow{
        color: #fcc65e;
    }
    &__black{
        color: #000000;
        font-weight: bold;
    }
}

.status{
    position: relative;
    display: block;
    &__inner{
        background:  url("../static/images/bg_status.png")top center no-repeat;
        width: 982px;
        height: 520px;
        margin: 0 auto;
        text-align: center;
        font-size: 40px;
        font-family: 'Kanit-SemiBold';
        color: #fff;
        overflow: auto;
        padding: 1.2em 0 0.8em;
    }
    &__head{
        position: absolute;
        left:0;
        top: -0.8em;
        width:100%;
        margin-left:auto;
        margin-right:auto;
        text-align:center;
    }
    &__box{
        margin: 1em auto;   
    }
    &__inline{
        display: inline-block;
        vertical-align: top;
        text-align: center;
        &:first-child{
            width: 478px;
        }
        &:last-child{
            width: 456px;
        }
    }
    &__title{
        font-size: 22px;
        color: #ffbe00;
        font-family: 'Kanit-Bold';

        &.font18{
            font-size: 18px;
        }
    }
    &__contentplayer{
        margin: 20px auto 8px;
        height: 172px;
        display: table;
        & > *{
            display: table-cell;
            vertical-align: middle;
        }

        h3{
            font-size: 2rem;
        }
    }
    &__itemmoneycode{
        display: inline-block;
        vertical-align: middle;
        border: none;
        border-radius: 8px;
        color: #000000;
        font-size: 22px;
        line-height: 2;
        font-family: 'Kanit-Regular';
        &:focus{
            outline: none;
        }
    }
    &__btnitemcode{
        display: inline-block;
        vertical-align: middle;
        margin-left: 14px;
        cursor: pointer;
        & > *{
            display: block;
        }
    }
}

.gachapon {
    position: relative;
    display:block;
    z-index: 3;
    &__inner {
        background: url("../static/images/bg_gachapon.png")top center no-repeat;
        width:1105px;
        height:500px;
        display:block;
        margin: 0 auto;
        padding:6em 0 2em;
        text-align:center;
    }
    &__head {
        position: absolute;
        left:0;
        top: -2em;
        width:100%;
        margin-left:auto;
        margin-right:auto;
        text-align:center;
    }
    &__boxitem{
        background: url("../static/images/bg_item.png") top center no-repeat;
        width: 200px;
        height: 200px;
        display: inline-block;
        vertical-align: middle;
        margin: 8px;
        position: relative;
        &:before{
            content: '';
            display: block;
            background: url("../static/images/bghover_item.png") top center no-repeat;
            width: 252px;
            height: 252px;
            position: absolute;
            top: -25px;
            left: -25px;
            opacity: 0;
            animation: none;
        }

        &--rnd0infinite:before { @include animation-random-mixin(toHide, 0.1s, 0.3s, infinite); }
        &--rnd1infinite:before { @include animation-random-mixin(toHide, 0.2s, 0.3s, infinite); }
        &--rnd2infinite:before { @include animation-random-mixin(toHide, 0.3s, 0.3s, infinite); }
        &--rnd3infinite:before { @include animation-random-mixin(toHide, 0.4s, 0.3s, infinite); }
        &--rnd4infinite:before { @include animation-random-mixin(toHide, 0.2s, 0.3s, infinite); }
        &--rnd5infinite:before { @include animation-random-mixin(toHide, 0.3s, 0.3s, infinite); }
        &--rnd6infinite:before { @include animation-random-mixin(toHide, 0.1s, 0.3s, infinite); }
        &--rnd7infinite:before { @include animation-random-mixin(toHide, 0.4s, 0.3s, infinite); }
        &--rnd8infinite:before { @include animation-random-mixin(toHide, 0.2s, 0.3s, infinite); }
        &--rnd9infinite:before { @include animation-random-mixin(toHide, 0.1s, 0.3s, infinite); }

        &--rnd0:before { @include animation-random-mixin(toHide, 0.1s, 0.3s, 10); }
        &--rnd1:before { @include animation-random-mixin(toHide, 0.2s, 0.3s, 10); }
        &--rnd2:before { @include animation-random-mixin(toHide, 0.3s, 0.3s, 10); }
        &--rnd3:before { @include animation-random-mixin(toHide, 0.4s, 0.3s, 10); }
        &--rnd4:before { @include animation-random-mixin(toHide, 0.2s, 0.3s, 10); }
        &--rnd5:before { @include animation-random-mixin(toHide, 0.3s, 0.3s, 10); }
        &--rnd6:before { @include animation-random-mixin(toHide, 0.1s, 0.3s, 10); }
        &--rnd7:before { @include animation-random-mixin(toHide, 0.4s, 0.3s, 10); }
        &--rnd8:before { @include animation-random-mixin(toHide, 0.2s, 0.3s, 10); }
        &--rnd9:before { @include animation-random-mixin(toHide, 0.1s, 0.3s, 10); }
        &--selected:before { @include animation-random-mixin(toShow, 0.4s, 0.3s, 10); }
    }
    &__table{
        display: table;
        width: 100%;
        height: 100%;
    }
    &__tablecell{
        display: table-cell;
        vertical-align: middle;
    }
    &__item{
        display: inline-block;
        vertical-align: middle;
        margin: 4px 8px;
        position: relative;
        &:first-child{
            display: block;
            .gachapon__nameitem{
                right: -7em;

                &.item-left{
                    left: -7em;
                }
            }
        }
        &:hover{
            .gachapon__nameitem{
                display: block;
            }
        }
    }
    &__nameitem{
        display: none;
        position: absolute;
        top: 1em;
        right: -12em;
        background: #000000;
        color: #fff;
        line-height: 1.2;
        width: 150px;
        text-align: center;
        font-size: 12px;
        border: 2px solid #fff;
        padding: 10px 0;
        font-family: 'Kanit-Regular';
        border-radius: 14px;
        border-top-right-radius: 0;
        z-index: 2;

        &.item-left{
            left: -12em;
        }
    }
    &__btnrandomgift{
        margin: 30px auto;
        display: inline-block;
        cursor: pointer;
        img{ display: block }

        &.diabled{
            -webkit-filter: grayscale(100%);
            filter: grayscale(100%);
            pointer-events: none;
        }
    }
}

.openboxfree{
    position: relative;
    display:block;
    &__inner{
        background: url("../static/images/bg_openboxfree.png")top center no-repeat;
        width: 982px;
        height: 370px;
        display:block;
        margin: 0 auto;
        padding:6em 0 2em;
        text-align:center;
        color: #fff;
    }
    &__head {
        position: absolute;
        left:0;
        top: -2em;
        width:100%;
        margin-left:auto;
        margin-right:auto;
        text-align:center;
    }
    &__inline{
        display: inline-block;
        vertical-align: top;
        text-align: center;
        &:first-child{
            width: 478px;
        }
        &:last-child{
            width: 456px;
            font-family: 'Kanit-SemiBold';
            font-size: 40px;
        }
    }
    &__title{
        font-size: 22px;
        color: #ffbe00;
        font-family: 'Kanit-Bold';

        &.font18{
            font-size: 18px;
        }
    }
    &__contentplayer{
        margin: 14px auto 8px;
        height: 260px;
        display: table;
        & > *{
            display: table-cell;
            vertical-align: middle;
        }

        h3{
            font-size: 2rem;
        }
    }
    &__quest{
        text-align: left;
        margin: 4px auto;
        & > *{
            display: inline-block;
            vertical-align: middle;
        }
    }
    &__questarrow{
        background: url("../static/images/arrow_quest.png")top center no-repeat;
        width: 27px;
        height: 29px;
        margin-right: 10px;
        &.active{
            background-position: 0 -29px;
        }
    }
}
.changemoney{
    position: relative;
    display:block;
    &__inner{
        background: url("../static/images/bg_changemoney.png")top center no-repeat;
        width: 982px;
        height: 826px;
        display:block;
        margin: 5em auto;
        padding:6em 0 2em;
        text-align:center;
        color: #fff;
    }
    &__inline{
        display: inline-block;
        vertical-align: middle;
        width: 77%;
        &--boxnumactive{
            background: url("../static/images/bg_numAdvice.png") top center no-repeat;
            width: 205px;
            margin-right: -2em;
            color: #58d2ff;
            font-family: 'Kanit-Bold';
            font-size: 38px;
            padding: 1.1em 0;
        }
    }
    &__head {
        position: absolute;
        left:0;
        top: -2em;
        width:100%;
        margin-left:auto;
        margin-right:auto;
        text-align:center;
    }
    &__content{
        position: relative;
        z-index: 3;
    }
    &__boxcard{
        background: url("../static/images/box_changemoney.png") top center no-repeat;
        width: 130px;
        padding: 8px 0;
        display: inline-block;
        vertical-align: middle;
        margin: 10px;
        cursor: pointer;
        &--gray{
             -webkit-filter: grayscale(100%);
            filter: grayscale(100%);
            pointer-events: none;
        }
        & > *{
            display: table;
            margin: 0 auto;
            & > div{
                display: table-cell;
                vertical-align: middle;
            }
        }
    }
    &__headcard{
        height: 44px;
        margin-bottom: 1px;
    }
    &__numadvice{
        font-family: 'Kanit-Bold';
        color: #fbdcc8;
        font-size: 24px;
    }
    &__contentcard{
        height: 139px;
    }
    &__nameitemcard{
        width: 75%;
        margin: 0 auto;
        font-size: 14px;
    }
    &__headnumadvice{
        color: #c5e5fe;
        font-size: 0.5em;
    }
}

// .btns {
//     &__normal {
//         background:url("../static/images/btn_normal.png")top center no-repeat;
//         width:176px;
//         height:46px;
//         display:flex;
//         line-height: 1em;
//         align-items:center;
//         justify-content: center;
//         margin:3em auto;
//         text-align:center;
//         color:#f0ba6d;
//         cursor: pointer;
//         -webkit-filter: grayscale(0); /* Safari 6.0 - 9.0 */
//         filter: grayscale(0);
//         span {
//             font-size:.8em;
//         }
//         &:hover , &:focus {
//             background-position: 0 -46px;
//         }
//         &.received {
//             pointer-events: none;
//             -webkit-filter: grayscale(100%); /* Safari 6.0 - 9.0 */
//             filter: grayscale(100%);
//         }
//     }
// }